#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 text-rope
version:              0.2
visibility:           public
id:                   text-rope-0.2-3jZwgqEjcYuDSoZ7CN19OA
key:                  text-rope-0.2-3jZwgqEjcYuDSoZ7CN19OA
license:              BSD-3-Clause
copyright:            2021-2022 Andrew Lelechenko
maintainer:           Andrew Lelechenko <andrew.lelechenko@gmail.com>
author:               Andrew Lelechenko <andrew.lelechenko@gmail.com>
homepage:             https://github.com/Bodigrim/text-rope
synopsis:             Text lines and ropes
description:
    A wrapper around `Text` for fast line/column navigation and logarithmic concatenation.

category:             Text
abi:                  d1f0d478c5e3420d19bdc02807793878
exposed:              True
exposed-modules:
    Data.Text.Lines Data.Text.Rope Data.Text.Utf16.Lines
    Data.Text.Utf16.Rope Data.Text.Utf16.Rope.Mixed

hidden-modules:       Data.Text.Lines.Internal
import-dirs:          /usr/lib/ghc-9.2.8/site-local/text-rope-0.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/text-rope-0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-text-rope
hs-libraries:         HStext-rope-0.2-3jZwgqEjcYuDSoZ7CN19OA
depends:
    base-4.16.4.0 deepseq-1.4.6.1 text-1.2.5.0
    vector-0.13.1.0-BOAscM7GxpQxkvUjpqER4

haddock-interfaces:   /usr/share/doc/haskell-text-rope/html/text-rope.haddock
haddock-html:         /usr/share/doc/haskell-text-rope/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

